Bug 983858 - [GSS] (6.3.x) access-log does not log 404 for non-existent context when enable-welcome-root is set to false in EAP 6
[GSS] (6.3.x) access-log does not log 404 for non-existent context when enabl...
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Rémy Maucherat
Radim Hatlapatka
:
Depends On: 1125934
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 02:28 EDT by Masafumi Miura
Modified: 2014-10-06 09:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1125934 (view as bug list)
Environment:
Last Closed: 2014-10-06 09:46:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masafumi Miura 2013-07-12 02:28:02 EDT
Description of problem:

access-log setting does not log 404 for non-existent context when enable-welcome-root is set to false in EAP 6


Steps to Reproduce:

1. Configure web subsysmte to set enable-welcome-root to "false" and enable access-log. For example:

        <subsystem xmlns="urn:jboss:domain:web:1.4" default-virtual-server="default-host" native="false">
            <connector name="http" protocol="HTTP/1.1" scheme="http" socket-binding="http"/>
            <virtual-server name="default-host" enable-welcome-root="false">
                <alias name="localhost"/>
                <alias name="example.com"/>
                <access-log/>
            </virtual-server>
        </subsystem>

2. Access non-existent context and get 404 like:

    curl -v http://localhost:8080/foobar

3. Check the access log


Actual results:

Nothing is logged in the access logging.


Expected results:

404 should be logged in the access logging.
Comment 1 Radim Hatlapatka 2014-08-01 07:26:49 EDT
The issue still valid in latest build EAP 6.3.0.ER10.
Comment 10 Jimmy Wilson 2014-09-30 04:17:19 EDT
@Mark: Yes, we can drop this from 6.3.z.

Note You need to log in before you can comment on or make changes to this bug.